---
- version: 3.1.0
  date: '2021-12-25'
  post: "/en/news/2021/12/25/ruby-3-1-0-released/"
  url:
    gz: https://cache.ruby-lang.org/pub/ruby/3.1/ruby-3.1.0.tar.gz
    xz: https://cache.ruby-lang.org/pub/ruby/3.1/ruby-3.1.0.tar.xz
    zip: https://cache.ruby-lang.org/pub/ruby/3.1/ruby-3.1.0.zip
  size:
    gz: 20103517
    xz: 14709096
    zip: 24388179
  sha1:
    gz: e4e8c20dd2a1fdef4d3e5bd5a3461000dd17f226
    xz: 92b603c2a69fb25d66c337a63e94280984edea11
    zip: e37435956d6f840a0e8758d7374bc7e0e346105f
  sha256:
    gz: 50a0504c6edcb4d61ce6b8cfdbddaa95707195fab0ecd7b5e92654b2a9412854
    xz: 1a0e0b69b9b062b6299ff1f6c6d77b66aff3995f63d1d8b8771e7a113ec472e2
    zip: a3bfcd486d09c065d46421da0ff3d430ce4423fefd80cea63c6595d83ae4af0e
  sha512:
    gz: 76009d325e961e601d9a287e36490cbc1f3b5dbf4878fa6eab2c4daa5ff2fed78cbc7525cd87b09828f97cbe2beb30f528928bcc5647af745d03dffe7c5baaa9
    xz: a2bb6b5e62d5fa06dd9c30cf84ddcb2c27cb87fbaaffd2309a44391a6b110e1dde6b7b0d8c659b56387ee3c9b4264003f3532d5a374123a7c187ebba9293f320
    zip: 67db71144e06da2c1c25eaf413d1417c99a4b18738a573f9e3371c11ea242eee9dcbdc3de17336f25ab5060039fe034e57298943d344be9cd9eb33bb56e2e1c6
